Embedded Tweets not working on iPad


#1

Hi,

I noticed that embedded tweets and embedded timelines stopped working on my iPad on March 24th.

This applies to:

  1. my own website ( http://www.politweet.org/site/news.php)
  2. wordpress.com (example post https://politweet.wordpress.com/2015/02/09/online-responses-to-ismail-sabris-boycott-comment/).

Both sites load tweets fine on desktops. I have tested accessing http://platform.twitter.com/widgets.js on my iPad and it can load the JS file. But for some reason the javascript doesn’t execute.

This happens on both Safari and Google Chrome. This is on an iPad 3 using iOS 5.1.1 (9B206). The issue is also present on Safari on my iPod Touch (3rd Gen, IOS 4.3.3). If the issue is resolved by updating to the latest iOS please let me know. I have not updated the OS on these devices due to concerns on app-compatibility.

Regards,

Kamal


#2

Widgets JS is not compatible with iOS 5.1. Please upgrade your 2012-era browser if it is possible for your hardware.


#3

Hi,

Thank you for your reply. I will update this thread once the OS update is complete.

Is there a list of minimum requirements for Widgets JS in terms of browser/OS? I do have some clients that use older desktops with older Firefox/Chrome/Internet Explorer browsers.

Regards,

Kamal


#4

Hi,

I have updated the iPad to the latest iOS version 8.2 and Widgets JS works fine now. Unfortunately the iPod Touch can only be upgraded to iOS 5 so it can’t be used any more.

Regards,

Kamal


#5